/[bison]/bison/configure
ViewVC logotype

Diff of /bison/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.7.2.19 by akim, Thu Oct 18 16:18:53 2001 UTC revision 1.7.2.20 by akim, Fri Oct 26 13:10:16 2001 UTC
# Line 2180  ac_cpp='$CPP $CPPFLAGS' Line 2180  ac_cpp='$CPP $CPPFLAGS'
2180  ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'  ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2181  ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'  ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2182  ac_compiler_gnu=$ac_cv_c_compiler_gnu  ac_compiler_gnu=$ac_cv_c_compiler_gnu
2183    ac_config_commands="$ac_config_commands depfiles"
 ac_config_commands="$ac_config_commands default-1"  
2184    
2185  am_make=${MAKE-make}  am_make=${MAKE-make}
2186  cat > confinc << 'END'  cat > confinc << 'END'
# Line 2286  fi Line 2285  fi
2285  fi  fi
2286  echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5  echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
2287  echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6  echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
2288  CCDEPMODE="depmode=$am_cv_CC_dependencies_compiler_type"  CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
2289    
2290  ac_ext=c  ac_ext=c
2291  ac_cpp='$CPP $CPPFLAGS'  ac_cpp='$CPP $CPPFLAGS'
# Line 5089  else Line 5088  else
5088  fi  fi
5089  done  done
5090    
5091  cat >>confdefs.h <<_ACEOF  cat >>confdefs.h <<\_ACEOF
5092  #define HAVE_DONE_WORKING_MALLOC_CHECK 1  #define HAVE_DONE_WORKING_MALLOC_CHECK 1
5093  _ACEOF  _ACEOF
5094    
# Line 5139  fi Line 5138  fi
5138  echo "$as_me:$LINENO: result: $jm_cv_func_working_malloc" >&5  echo "$as_me:$LINENO: result: $jm_cv_func_working_malloc" >&5
5139  echo "${ECHO_T}$jm_cv_func_working_malloc" >&6  echo "${ECHO_T}$jm_cv_func_working_malloc" >&6
5140    if test $jm_cv_func_working_malloc = no; then    if test $jm_cv_func_working_malloc = no; then
   
5141      LIBOBJS="$LIBOBJS malloc.$ac_objext"      LIBOBJS="$LIBOBJS malloc.$ac_objext"
5142    
5143  cat >>confdefs.h <<_ACEOF  cat >>confdefs.h <<\_ACEOF
5144  #define malloc rpl_malloc  #define malloc rpl_malloc
5145  _ACEOF  _ACEOF
5146    
5147    fi    fi
5148    
5149  cat >>confdefs.h <<_ACEOF  cat >>confdefs.h <<\_ACEOF
5150  #define HAVE_DONE_WORKING_REALLOC_CHECK 1  #define HAVE_DONE_WORKING_REALLOC_CHECK 1
5151  _ACEOF  _ACEOF
5152    
# Line 5198  fi Line 5196  fi
5196  echo "$as_me:$LINENO: result: $jm_cv_func_working_realloc" >&5  echo "$as_me:$LINENO: result: $jm_cv_func_working_realloc" >&5
5197  echo "${ECHO_T}$jm_cv_func_working_realloc" >&6  echo "${ECHO_T}$jm_cv_func_working_realloc" >&6
5198    if test $jm_cv_func_working_realloc = no; then    if test $jm_cv_func_working_realloc = no; then
   
5199      LIBOBJS="$LIBOBJS realloc.$ac_objext"      LIBOBJS="$LIBOBJS realloc.$ac_objext"
5200    
5201  cat >>confdefs.h <<_ACEOF  cat >>confdefs.h <<\_ACEOF
5202  #define realloc rpl_realloc  #define realloc rpl_realloc
5203  _ACEOF  _ACEOF
5204    
# Line 6086  fi Line 6083  fi
6083    
6084  done  done
6085    
6086  for ac_func in strerror strerror_r vprintf doprnt  for ac_func in strerror vprintf doprnt
6087  do  do
6088  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
6089  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 6161  _ACEOF Line 6158  _ACEOF
6158  fi  fi
6159  done  done
6160    
6161    echo "$as_me:$LINENO: checking for ANSI C header files" >&5    echo "$as_me:$LINENO: checking whether strerror is declared" >&5
6162  echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6  echo $ECHO_N "checking whether strerror is declared... $ECHO_C" >&6
6163  if test "${ac_cv_header_stdc+set}" = set; then  if test "${ac_cv_have_decl_strerror+set}" = set; then
6164    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
6165  else  else
6166    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
6167  #line $LINENO "configure"  #line $LINENO "configure"
6168  #include "confdefs.h"  #include "confdefs.h"
6169  #include <stdlib.h>  $ac_includes_default
6170  #include <stdarg.h>  #ifdef F77_DUMMY_MAIN
6171  #include <string.h>  #  ifdef __cplusplus
6172  #include <float.h>       extern "C"
6173    #  endif
6174  _ACEOF     int F77_DUMMY_MAIN() { return 1; }
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   egrep -v '^ *\+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_cv_header_stdc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
   cat conftest.$ac_ext >&5  
   ac_cv_header_stdc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
   
 if test $ac_cv_header_stdc = yes; then  
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <string.h>  
   
 _ACEOF  
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |  
   egrep "memchr" >/dev/null 2>&1; then  
   :  
 else  
   ac_cv_header_stdc=no  
 fi  
 rm -f conftest*  
   
 fi  
   
 if test $ac_cv_header_stdc = yes; then  
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <stdlib.h>  
   
 _ACEOF  
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |  
   egrep "free" >/dev/null 2>&1; then  
   :  
 else  
   ac_cv_header_stdc=no  
 fi  
 rm -f conftest*  
   
 fi  
   
 if test $ac_cv_header_stdc = yes; then  
   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.  
   if test "$cross_compiling" = yes; then  
   :  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <ctype.h>  
 #if ((' ' & 0x0FF) == 0x020)  
 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')  
 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))  
 #else  
 # define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \  
                      || ('j' <= (c) && (c) <= 'r') \  
                      || ('s' <= (c) && (c) <= 'z'))  
 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))  
6175  #endif  #endif
   
 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))  
6176  int  int
6177  main ()  main ()
6178  {  {
6179    int i;  #ifndef strerror
6180    for (i = 0; i < 256; i++)    char *p = (char *) strerror;
6181      if (XOR (islower (i), ISLOWER (i))  #endif
6182          || toupper (i) != TOUPPER (i))  
6183        exit(2);    ;
6184    exit (0);    return 0;
6185  }  }
6186  _ACEOF  _ACEOF
6187  rm -f conftest$ac_exeext  rm -f conftest.$ac_objext
6188  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6189    (eval $ac_link) 2>&5    (eval $ac_compile) 2>&5
6190    ac_status=$?    ac_status=$?
6191    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6192    (exit $ac_status); } && { ac_try='./conftest$ac_exeext'    (exit $ac_status); } &&
6193             { ac_try='test -s conftest.$ac_objext'
6194    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6195    (eval $ac_try) 2>&5    (eval $ac_try) 2>&5
6196    ac_status=$?    ac_status=$?
6197    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6198    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
6199    :    ac_cv_have_decl_strerror=yes
6200  else  else
6201    echo "$as_me: program exited with status $ac_status" >&5    echo "$as_me: failed program was:" >&5
 echo "$as_me: failed program was:" >&5  
6202  cat conftest.$ac_ext >&5  cat conftest.$ac_ext >&5
6203  ( exit $ac_status )  ac_cv_have_decl_strerror=no
 ac_cv_header_stdc=no  
 fi  
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  
 fi  
6204  fi  fi
6205    rm -f conftest.$ac_objext conftest.$ac_ext
6206  fi  fi
6207  echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5  echo "$as_me:$LINENO: result: $ac_cv_have_decl_strerror" >&5
6208  echo "${ECHO_T}$ac_cv_header_stdc" >&6  echo "${ECHO_T}$ac_cv_have_decl_strerror" >&6
6209  if test $ac_cv_header_stdc = yes; then  if test $ac_cv_have_decl_strerror = yes; then
6210    
6211  cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<_ACEOF
6212  #define STDC_HEADERS 1  #define HAVE_DECL_STRERROR 1
6213    _ACEOF
6214    
6215    else
6216      cat >>confdefs.h <<_ACEOF
6217    #define HAVE_DECL_STRERROR 0
6218  _ACEOF  _ACEOF
6219    
6220  fi  fi
# Line 6436  _ACEOF Line 6355  _ACEOF
6355  fi  fi
6356  done  done
6357    
6358  if test $ac_cv_func_strerror_r = yes; then  echo "$as_me:$LINENO: checking whether strerror_r returns char *" >&5
6359    echo $ECHO_N "checking whether strerror_r returns char *... $ECHO_C" >&6
6360  for ac_header in string.h  if test "${ac_cv_func_strerror_r_char_p+set}" = set; then
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
6361    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
6362  else  else
6363    # Is the header compilable?  
6364  echo "$as_me:$LINENO: checking $ac_header usability" >&5      ac_cv_func_strerror_r_char_p=no
6365  echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6      if test $ac_cv_have_decl_strerror_r = yes; then
6366  cat >conftest.$ac_ext <<_ACEOF        cat >conftest.$ac_ext <<_ACEOF
6367  #line $LINENO "configure"  #line $LINENO "configure"
6368  #include "confdefs.h"  #include "confdefs.h"
6369  $ac_includes_default  $ac_includes_default
6370  #include <$ac_header>  #ifdef F77_DUMMY_MAIN
6371    #  ifdef __cplusplus
6372         extern "C"
6373    #  endif
6374       int F77_DUMMY_MAIN() { return 1; }
6375    #endif
6376    int
6377    main ()
6378    {
6379    
6380              char buf[100];
6381              char x = *strerror_r (0, buf, sizeof buf);
6382              char *p = strerror_r (0, buf, sizeof buf);
6383    
6384      ;
6385      return 0;
6386    }
6387  _ACEOF  _ACEOF
6388  rm -f conftest.$ac_objext  rm -f conftest.$ac_objext
6389  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6471  if { (eval echo "$as_me:$LINENO: \"$ac_c Line 6397  if { (eval echo "$as_me:$LINENO: \"$ac_c
6397    ac_status=$?    ac_status=$?
6398    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6399    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
6400    ac_header_compiler=yes    ac_cv_func_strerror_r_char_p=yes
6401  else  else
6402    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
6403  cat conftest.$ac_ext >&5  cat conftest.$ac_ext >&5
 ac_header_compiler=no  
6404  fi  fi
6405  rm -f conftest.$ac_objext conftest.$ac_ext  rm -f conftest.$ac_objext conftest.$ac_ext
6406  echo "$as_me:$LINENO: result: $ac_header_compiler" >&5      else
6407  echo "${ECHO_T}$ac_header_compiler" >&6        # strerror_r is not declared.  Choose between
6408          # systems that have relatively inaccessible declarations for the
6409          # function.  BeOS and DEC UNIX 4.0 fall in this category, but the
6410          # former has a strerror_r that returns char*, while the latter
6411          # has a strerror_r that returns `int'.
6412          # This test should segfault on the DEC system.
6413          if test "$cross_compiling" = yes; then
6414      :
6415    else
6416      cat >conftest.$ac_ext <<_ACEOF
6417    #line $LINENO "configure"
6418    #include "confdefs.h"
6419    $ac_includes_default
6420            extern char *strerror_r ();
6421    #ifdef F77_DUMMY_MAIN
6422    #  ifdef __cplusplus
6423         extern "C"
6424    #  endif
6425       int F77_DUMMY_MAIN() { return 1; }
6426    #endif
6427    int
6428    main ()
6429    {
6430    char buf[100];
6431              char x = *strerror_r (0, buf, sizeof buf);
6432              exit (!isalpha (x));
6433      ;
6434      return 0;
6435    }
6436    _ACEOF
6437    rm -f conftest$ac_exeext
6438    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6439      (eval $ac_link) 2>&5
6440      ac_status=$?
6441      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6442      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6443      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6444      (eval $ac_try) 2>&5
6445      ac_status=$?
6446      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6447      (exit $ac_status); }; }; then
6448      ac_cv_func_strerror_r_char_p=yes
6449    else
6450      echo "$as_me: program exited with status $ac_status" >&5
6451    echo "$as_me: failed program was:" >&5
6452    cat conftest.$ac_ext >&5
6453    fi
6454    rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6455    fi
6456        fi
6457    
6458  # Is the header present?  fi
6459  echo "$as_me:$LINENO: checking $ac_header presence" >&5  echo "$as_me:$LINENO: result: $ac_cv_func_strerror_r_char_p" >&5
6460  echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6  echo "${ECHO_T}$ac_cv_func_strerror_r_char_p" >&6
6461  cat >conftest.$ac_ext <<_ACEOF  if test $ac_cv_func_strerror_r_char_p = yes; then
6462    
6463    cat >>confdefs.h <<\_ACEOF
6464    #define STRERROR_R_CHAR_P 1
6465    _ACEOF
6466    
6467    fi
6468    
6469      echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6470    echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
6471    if test "${ac_cv_header_stdc+set}" = set; then
6472      echo $ECHO_N "(cached) $ECHO_C" >&6
6473    else
6474      cat >conftest.$ac_ext <<_ACEOF
6475  #line $LINENO "configure"  #line $LINENO "configure"
6476  #include "confdefs.h"  #include "confdefs.h"
6477  #include <$ac_header>  #include <stdlib.h>
6478    #include <stdarg.h>
6479    #include <string.h>
6480    #include <float.h>
6481    
6482  _ACEOF  _ACEOF
6483  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6484    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
# Line 6506  else Line 6497  else
6497    ac_cpp_err=yes    ac_cpp_err=yes
6498  fi  fi
6499  if test -z "$ac_cpp_err"; then  if test -z "$ac_cpp_err"; then
6500    ac_header_preproc=yes    ac_cv_header_stdc=yes
6501  else  else
6502    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
6503    cat conftest.$ac_ext >&5    cat conftest.$ac_ext >&5
6504    ac_header_preproc=no    ac_cv_header_stdc=no
6505  fi  fi
6506  rm -f conftest.err conftest.$ac_ext  rm -f conftest.err conftest.$ac_ext
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
6507    
6508  # So?  What about this header?  if test $ac_cv_header_stdc = yes; then
6509  case $ac_header_compiler:$ac_header_preproc in    # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6510    yes:no )    cat >conftest.$ac_ext <<_ACEOF
6511      { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  #line $LINENO "configure"
6512  echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  #include "confdefs.h"
6513      { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  #include <string.h>
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
   no:yes )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled." >&5  
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled." >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
 esac  
 echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   eval "$as_ac_Header=$ac_header_preproc"  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
6514    
 fi  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
6515  _ACEOF  _ACEOF
6516    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6517      egrep "memchr" >/dev/null 2>&1; then
6518      :
6519    else
6520      ac_cv_header_stdc=no
6521  fi  fi
6522    rm -f conftest*
6523    
6524  done  fi
   
   echo "$as_me:$LINENO: checking for working strerror_r" >&5  
 echo $ECHO_N "checking for working strerror_r... $ECHO_C" >&6  
 if test "${ac_cv_func_strerror_r_works+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
6525    
6526      cat >conftest.$ac_ext <<_ACEOF  if test $ac_cv_header_stdc = yes; then
6527      # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6528      cat >conftest.$ac_ext <<_ACEOF
6529  #line $LINENO "configure"  #line $LINENO "configure"
6530  #include "confdefs.h"  #include "confdefs.h"
6531    #include <stdlib.h>
6532    
 #       include <stdio.h>  
 #       if HAVE_STRING_H  
 #        include <string.h>  
 #       endif  
   
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
   
        char buf[100];  
        char x = *strerror_r (0, buf, sizeof buf);  
   
   ;  
   return 0;  
 }  
6533  _ACEOF  _ACEOF
6534  rm -f conftest.$ac_objext  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6535  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    egrep "free" >/dev/null 2>&1; then
6536    (eval $ac_compile) 2>&5    :
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_func_strerror_r_works=yes  
6537  else  else
6538    echo "$as_me: failed program was:" >&5    ac_cv_header_stdc=no
6539  cat conftest.$ac_ext >&5  fi
6540  ac_cv_func_strerror_r_works=no  rm -f conftest*
6541    
6542  fi  fi
6543  rm -f conftest.$ac_objext conftest.$ac_ext  
6544      if test $ac_cv_func_strerror_r_works = no; then  if test $ac_cv_header_stdc = yes; then
6545        # strerror_r seems not to work, but now we have to choose between    # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6546        # systems that have relatively inaccessible declarations for the    if test "$cross_compiling" = yes; then
6547        # function.  BeOS and DEC UNIX 4.0 fall in this category, but the    :
       # former has a strerror_r that returns char*, while the latter  
       # has a strerror_r that returns `int'.  
       # This test should segfault on the DEC system.  
       if test "$cross_compiling" = yes; then  
   ac_cv_func_strerror_r_works=no  
6548  else  else
6549    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
6550  #line $LINENO "configure"  #line $LINENO "configure"
6551  #include "confdefs.h"  #include "confdefs.h"
6552    #include <ctype.h>
6553    #if ((' ' & 0x0FF) == 0x020)
6554    # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6555    # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6556    #else
6557    # define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \
6558                         || ('j' <= (c) && (c) <= 'r') \
6559                         || ('s' <= (c) && (c) <= 'z'))
6560    # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6561    #endif
6562    
6563  #       include <stdio.h>  #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6564  #       include <string.h>  int
6565  #       include <ctype.h>  main ()
6566    {
6567          extern char *strerror_r ();    int i;
6568      for (i = 0; i < 256; i++)
6569          int      if (XOR (islower (i), ISLOWER (i))
6570          main ()          || toupper (i) != TOUPPER (i))
6571          {        exit(2);
6572            char buf[100];    exit (0);
6573            char x = *strerror_r (0, buf, sizeof buf);  }
           exit (!isalpha (x));  
         }  
   
6574  _ACEOF  _ACEOF
6575  rm -f conftest$ac_exeext  rm -f conftest$ac_exeext
6576  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 6643  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 6583  if { (eval echo "$as_me:$LINENO: \"$ac_l
6583    ac_status=$?    ac_status=$?
6584    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6585    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
6586    ac_cv_func_strerror_r_works=yes    :
6587  else  else
6588    echo "$as_me: program exited with status $ac_status" >&5    echo "$as_me: program exited with status $ac_status" >&5
6589  echo "$as_me: failed program was:" >&5  echo "$as_me: failed program was:" >&5
6590  cat conftest.$ac_ext >&5  cat conftest.$ac_ext >&5
6591  ( exit $ac_status )  ( exit $ac_status )
6592  ac_cv_func_strerror_r_works=no  ac_cv_header_stdc=no
6593  fi  fi
6594  rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6595  fi  fi
     fi  
   
6596  fi  fi
6597  echo "$as_me:$LINENO: result: $ac_cv_func_strerror_r_works" >&5  fi
6598  echo "${ECHO_T}$ac_cv_func_strerror_r_works" >&6  echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6599    if test $ac_cv_func_strerror_r_works = yes; then  echo "${ECHO_T}$ac_cv_header_stdc" >&6
6600    if test $ac_cv_header_stdc = yes; then
6601    
6602  cat >>confdefs.h <<_ACEOF  cat >>confdefs.h <<\_ACEOF
6603  #define HAVE_WORKING_STRERROR_R 1  #define STDC_HEADERS 1
6604  _ACEOF  _ACEOF
6605    
   fi  
6606  fi  fi
6607    
6608  echo "$as_me:$LINENO: checking if malloc debugging is wanted" >&5  echo "$as_me:$LINENO: checking if malloc debugging is wanted" >&5
# Line 8333  echo "${ECHO_T}found xgettext program is Line 8271  echo "${ECHO_T}found xgettext program is
8271    
8272              POSUB=po              POSUB=po
8273      fi      fi
8274      ac_config_commands="$ac_config_commands default-2"      ac_config_commands="$ac_config_commands default-1"
8275    
8276              if test "$PACKAGE" = gettext; then              if test "$PACKAGE" = gettext; then
8277        BUILD_INCLUDED_LIBINTL=yes        BUILD_INCLUDED_LIBINTL=yes
# Line 8384  done Line 8322  done
8322      else      else
8323              echo "$as_me:$LINENO: checking version of bison" >&5              echo "$as_me:$LINENO: checking version of bison" >&5
8324  echo $ECHO_N "checking version of bison... $ECHO_C" >&6  echo $ECHO_N "checking version of bison... $ECHO_C" >&6
8325        ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison .* \([0-9]*\.[0-9.]*\).*$/\1/p'`        ac_prog_version=`$INTLBISON --version 2>&1 | sed -n 's/^.*GNU Bison.* \([0-9]*\.[0-9.]*\).*$/\1/p'`
8326        case $ac_prog_version in        case $ac_prog_version in
8327          '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;          '') ac_prog_version="v. ?.??, bad"; ac_verc_fail=yes;;
8328          1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*)          1.2[6-9]* | 1.[3-9][0-9]* | [2-9].*)
# Line 8896  PACKAGE_VERSION='$PACKAGE_VERSION' Line 8834  PACKAGE_VERSION='$PACKAGE_VERSION'
8834  PACKAGE_STRING='$PACKAGE_STRING'  PACKAGE_STRING='$PACKAGE_STRING'
8835  PACKAGE_BUGREPORT='$PACKAGE_BUGREPORT'  PACKAGE_BUGREPORT='$PACKAGE_BUGREPORT'
8836    
8837  AMDEP_TRUE="$AMDEP_TRUE"  AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"
 ac_aux_dir="$ac_aux_dir"  
8838    
8839  _ACEOF  _ACEOF
8840    
# Line 8919  do Line 8856  do
8856    "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;    "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
8857    "tests/package.m4" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/package.m4" ;;    "tests/package.m4" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/package.m4" ;;
8858    "tests/atconfig" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/atconfig" ;;    "tests/atconfig" ) CONFIG_COMMANDS="$CONFIG_COMMANDS tests/atconfig" ;;
8859      "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
8860    "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;    "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
   "default-2" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-2" ;;  
8861    "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;;    "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;;
8862    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
8863  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 9573  AUTOTEST_PATH='tests' Line 9510  AUTOTEST_PATH='tests'
9510  SHELL=\${CONFIG_SHELL-'$SHELL'}  SHELL=\${CONFIG_SHELL-'$SHELL'}
9511  ATEOF  ATEOF
9512   ;;   ;;
9513      default-1 )      depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
9514  test x"$AMDEP_TRUE" != x"" ||    case $mf in
 for mf in $CONFIG_FILES; do  
   case "$mf" in  
9515    Makefile) dirpart=.;;    Makefile) dirpart=.;;
9516    */Makefile) dirpart=`echo "$mf" | sed -e 's|/[^/]*$||'`;;    */Makefile) dirpart=`$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
9517             X"$mf" : 'X\(//\)[^/]' \| \
9518             X"$mf" : 'X\(//\)$' \| \
9519             X"$mf" : 'X\(/\)' \| \
9520             .     : '\(.\)' 2>/dev/null ||
9521    echo X"$mf" |
9522        sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
9523              /^X\(\/\/\)[^/].*/{ s//\1/; q; }
9524              /^X\(\/\/\)$/{ s//\1/; q; }
9525              /^X\(\/\).*/{ s//\1/; q; }
9526              s/.*/./; q'`;;
9527    *) continue;;    *) continue;;
9528    esac    esac
9529    grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue    grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
# Line 9605  for mf in $CONFIG_FILES; do Line 9550  for mf in $CONFIG_FILES; do
9550         sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do         sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
9551      # Make sure the directory exists.      # Make sure the directory exists.
9552      test -f "$dirpart/$file" && continue      test -f "$dirpart/$file" && continue
9553      fdir=`echo "$file" | sed -e 's|/[^/]*$||'`      fdir=`$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
9554      $ac_aux_dir/mkinstalldirs "$dirpart/$fdir" > /dev/null 2>&1           X"$file" : 'X\(//\)[^/]' \| \
9555             X"$file" : 'X\(//\)$' \| \
9556             X"$file" : 'X\(/\)' \| \
9557             .     : '\(.\)' 2>/dev/null ||
9558    echo X"$file" |
9559        sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
9560              /^X\(\/\/\)[^/].*/{ s//\1/; q; }
9561              /^X\(\/\/\)$/{ s//\1/; q; }
9562              /^X\(\/\).*/{ s//\1/; q; }
9563              s/.*/./; q'`
9564        { case $dirpart/$fdir in
9565      [\\/]* | ?:[\\/]* ) as_incr_dir=;;
9566      *)                      as_incr_dir=.;;
9567    esac
9568    as_dummy=$dirpart/$fdir
9569    for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
9570      case $as_mkdir_dir in
9571        # Skip DOS drivespec
9572        ?:) as_incr_dir=$as_mkdir_dir ;;
9573        *)
9574          as_incr_dir=$as_incr_dir/$as_mkdir_dir
9575          test -d "$as_incr_dir" ||
9576            mkdir "$as_incr_dir" ||
9577            { { echo "$as_me:$LINENO: error: cannot create $dirpart/$fdir" >&5
9578    echo "$as_me: error: cannot create $dirpart/$fdir" >&2;}
9579       { (exit 1); exit 1; }; }
9580        ;;
9581      esac
9582    done; }
9583    
9584      # echo "creating $dirpart/$file"      # echo "creating $dirpart/$file"
9585      echo '# dummy' > "$dirpart/$file"      echo '# dummy' > "$dirpart/$file"
9586    done    done
9587  done  done
9588   ;;   ;;
9589      default-2 ) for ac_file in $CONFIG_FILES; do      default-1 ) for ac_file in $CONFIG_FILES; do
9590          # Support "outfile[:infile[:infile...]]"          # Support "outfile[:infile[:infile...]]"
9591          case "$ac_file" in          case "$ac_file" in
9592            *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;            *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;

Legend:
Removed from v.1.7.2.19  
changed lines
  Added in v.1.7.2.20

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26